<?php
/*
Plugin Name: LexiDef
Plugin URI: http://www.lexiology.com/
Description: Quickly set links to Lexiology.com dictionary definitions of words/phrases containing meaning, audio, phonetics, usages and other informations.
Version: 0.4.0
Author: Lexiology.com
Author URI: http://www.lexiology.com
*/

/*  Copyright 2009  Lexiology.com  Dictionary

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// Replace old plugins page
function al_parse_links($content) {
  $content = eregi_replace("{ld:([^}]+)}","<a title='meaning of \\1' href='http://www.lexiology.com/definition/\\1' target='_blank'>\\1</a>", $content);
  return $content;
}

add_filter('the_content', 'al_parse_links');
?>